Exodus 7.22

Functions
ex_put_node_set_param.c File Reference
`#include "exodusII.h"`

## Functions
int | ex_put_node_set_param (int exoid, ex_entity_id node_set_id, int64_t num_nodes_in_set, int64_t num_dist_in_set)

## Function Documentation

## ◆ ex_put_node_set_param()

int ex_put_node_set_param | ( | int | exoid,
|  | ex_entity_id | node_set_id,
|  | int64_t | num_nodes_in_set,
|  | int64_t | num_dist_in_set
| ) |  |

Deprecated:
  Use ex_put_set_param()(exoid, EX_NODE_SET, node_set_id, num_nodes_in_set, num_dist_in_set)

The function ex_put_node_set_param() writes the node set ID, the number of nodes which describe a single node set, and the number of node set distribution factors for the node set.

Returns
  In case of an error, ex_put_node_set_param() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - data file not initialized properly with call to ex_put_init().
  - the number of node sets specified in the call to ex_put_init() was zero or has been exceeded.
  - a node set with the same ID has already been stored.
  - the specified number of distribution factors is not zero and is not equal to the number of nodes.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | node_set_id | The node set ID.
  [in] | num_nodes_in_set | The number of nodes in the node set.
  [in] | num_dist_in_set | The number of distribution factors in the node set. This should be either 0 (zero) for no factors, or should equal num_nodes_in_set.

The following code segment will write out a node set to an open exodus file :

int id, num_nodes_in_set, num_dist_in_set, error, exoid, *node_list;
float *dist_fact;
/* write node set parameters */
id = 20; num_nodes_in_set = 5; num_dist_in_set = 5;
error = ex_put_node_set_param(exoid, id, num_nodes_in_set,
num_dist_in_set);
/* write node set node list */
node_list = (int *) calloc (num_nodes_in_set, sizeof(int));
node_list[0] = 100; node_list[1] = 101; node_list[2] = 102;
node_list[3] = 103; node_list[4] = 104;
error = ex_put_node_set(exoid, id, node_list);
/* write node set distribution factors */
dist_fact = (float *) calloc (num_dist_in_set, sizeof(float));
dist_fact[0] = 1.0; dist_fact[1] = 2.0; dist_fact[2] = 3.0;
dist_fact[3] = 4.0; dist_fact[4] = 5.0;
error = ex_put_node_set_dist_fact(exoid, id, dist_fact);
/* Same result using non-deprecated functions */
error = ex_put_set_param(exoid, EX_NODE_SET, id, num_nodes_in_set,
num_dist_in_set);
error = ex_put_set(exoid, EX_NODE_SET, id, node_list, NULL);
error = ex_put_set_dist_fact(exoid, EX_NODE_SET, id, dist_fact);
EX_NODE_SET
Definition: exodusII.h:256
error
error
Definition: ex_put_elem_var_tab.c:115
ex_put_node_set_param
SEACAS_DEPRECATED int ex_put_node_set_param(int exoid, ex_entity_id node_set_id, int64_t num_nodes_in_set, int64_t num_dist_in_set)
Definition: ex_put_node_set_param.c:101
ex_put_set_dist_fact
int ex_put_set_dist_fact(int exoid, ex_entity_type set_type, ex_entity_id set_id, const void *set_dist_fact)
Definition: ex_put_set_dist_fact.c:63
ex_put_set_param
int ex_put_set_param(int exoid, ex_entity_type set_type, ex_entity_id set_id, int64_t num_entries_in_set, int64_t num_dist_fact_in_set)
Definition: ex_put_set_param.c:65
ex__obj_stats::exoid
int exoid
Definition: exodusII_int.h:677
ex_put_node_set
SEACAS_DEPRECATED int ex_put_node_set(int exoid, ex_entity_id node_set_id, const void_int *node_set_node_list)
Definition: ex_put_node_set.c:65
ex_put_set
int ex_put_set(int exoid, ex_entity_type set_type, ex_entity_id set_id, const void_int *set_entry_list, const void_int *set_extra_list)
Definition: ex_put_set.c:67
ex_put_node_set_dist_fact
SEACAS_DEPRECATED int ex_put_node_set_dist_fact(int exoid, ex_entity_id node_set_id, const void *node_set_dist_fact)
Definition: ex_put_node_set_dist_fact.c:70